Overview
GET
/customer/customers/{id}customerGet customers by id
Fetch a record from customers by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
customers
- idstring
- ecosystemIdstring
- externalIdstring?
- emailstring?
- displayNamestring?
- slugstring
- avatarUrlstring
- publicProfileEnabledboolean
- tokenVersioninteger
- preferredMfaMethodstring?
- mfaFailedAttemptsinteger
- mfaLockedUntilstring?
- deletedAtstring?
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"ecosystemId": "string",
"externalId": "string",
"email": "string",
"displayName": "string",
"slug": "string",
"avatarUrl": "string",
"publicProfileEnabled": true,
"tokenVersion": 0,
"preferredMfaMethod": "string",
"mfaFailedAttempts": 0,
"mfaLockedUntil": "string",
"deletedAt": "string",
"createdAt": "string",
"updatedAt": "string"
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/customer/customers/{id}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/customer/customers/{id}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();